﻿using System;
using MarkdownSharp;
using Opt;

namespace md2html
{
    internal class Program
    {
        private static void Main(string[] args)
        {
            var options = OptParser.Parse<Options>(args);

            if (options.ShowHelp)
            {
                foreach (string line in OptParser.GetHelp<Options>())
                    Console.Out.WriteLine(line);
                Environment.Exit(0);
            }

            if (options.FileNames.Count == 0)
            {
                Console.Error.WriteLine("error: no filenames given on command line");
                Environment.Exit(1);
            }

            var mdOptions = new MarkdownOptions { AutoHyperlink = options.AutoHyperlink, AutoNewlines = options.AutoNewLines, EmptyElementSuffix = options.OutputXHTML ? " />" : ">", EncodeProblemUrlCharacters = options.EncodeProblemUrlCharacters, LinkEmails = !options.DontLinkEmails, StrictBoldItalic = options.StrictBoldItalic };
            foreach (var fileName in options.FileNames)
            {

                // var output = new Markdown(mdOptions).Transform(File.ReadAllText(fileName));
            }
        }
    }
}